QGIS Application - Bug report #5124
Font size printing WMS layers
2012-03-06 02:46 PM - mesajs -

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 14883
Description

Layers produced by Geoserver 2.1.3 render correctly in the QGIS map window. In particular, labels are readable.

But when printed using print composer, the features themselves appear correctly, but labels are reduced dramatically in size and are
unreadable without magnification.

I am using QGIS 1.7.4 and have been saving as PNG and PDF - results are the same.

History

#1 - 2012-08-23 03:40 AM - Marco Hugentobler

- Status changed from Open to Resolved

This is because of the different dpi. QGIS prints with 300 dpi per default (can be changed), but geoserver does not know about this. Since short time, QGIS
tries to set DPI parameters for QGIS server, UMN mapserver and Geoserver (it is not WMS standard, so different servers have different keywords). So
perhaps geoserver now recognises the DPIs.

But it is not a problem of QGIS or the printing module.

#2 - 2012-09-04 12:08 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#3 - 2014-02-13 12:31 PM - Jiirgen Fischer

- Status changed from Resolved to Closed
